PagodaOption::engine Class Reference

Pagoda-option engine base class More...

`#include <ql/experimental/exoticoptions/pagodaoption.hpp>`

Inheritance diagram for PagodaOption::engine:
[legend]

## Additional Inherited Members

Public Member Functions inherited from GenericEngine< PagodaOption::arguments, PagodaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual void | calculate () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Protected Attributes inherited from GenericEngine< PagodaOption::arguments, PagodaOption::results >
PagodaOption::arguments | arguments_
PagodaOption::results | results_

## Detailed Description

Pagoda-option engine base class